commit:     afd61924dd487e5c84e982a86cd8f2f8f6ae8db1
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 27 11:25:49 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Mon Apr 27 13:59:35 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=afd61924

dev-python/jaraco-functools: bump v3.0.1, re-add setuptools_scm dep.

The sed call didn't work properly with the changed setup.py file.

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/jaraco-functools/Manifest               |  1 +
 .../jaraco-functools/jaraco-functools-3.0.1.ebuild | 54 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/jaraco-functools/Manifest 
b/dev-python/jaraco-functools/Manifest
index 68c4a31fd88..7fe9ba47401 100644
--- a/dev-python/jaraco-functools/Manifest
+++ b/dev-python/jaraco-functools/Manifest
@@ -1,2 +1,3 @@
 DIST jaraco.functools-2.0.tar.gz 14340 BLAKE2B 
560490b1150c2385f9c4d468fe7ab4fa84475ad43e1ebed784343a71742976ed0c18df3f6240b1d5b69106a6835c0248838331a654f9d3fdc863622c3dda33be
 SHA512 
dce30c08f0e9f3c7b682c78fc3a46a26d9972706f4c8449a12ba11aa5ed130c6d9ca405213fd93b6b4110ef9cea549e5fa925c96bfaf18681cd6957d8ba0889f
 DIST jaraco.functools-3.0.0.tar.gz 15618 BLAKE2B 
dbf542148d18069e7e78c718f3f6b62c7a07c674c96d54dfb3c1cebded13f6e24ca579844453352d001d312e718acf58d311c198076e85217362ee1a1446dc23
 SHA512 
f1ec725e132477f7361f7d0a77f72b69603499c24df25c9e8e0cc9a6d34a4bd4bb10fde60dc324b8176c46035e2babde04de90fcb0aa82273bc2f8559b8b31f5
+DIST jaraco.functools-3.0.1.tar.gz 16996 BLAKE2B 
8cad1532753ae5c941038d4b8cda17b49f2d131405bb010d3747ecafc1ea4f72ad2c91b1ce2c499cd2885b18a9fe2cd1ac1bf06d58ed6f13a7a379cf9deb0e66
 SHA512 
96696839d3405e571bd0120443c5494f13d737b7e0fd9324a7a003c88ff45bdaa89a717c81b9c5ecb4eded9781ba2c05f4735e5cf24c1d1c162fc3d55d38eedb

diff --git a/dev-python/jaraco-functools/jaraco-functools-3.0.1.ebuild 
b/dev-python/jaraco-functools/jaraco-functools-3.0.1.ebuild
new file mode 100644
index 00000000000..d4b3d6ee6cf
--- /dev/null
+++ b/dev-python/jaraco-functools/jaraco-functools-3.0.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+# [options.entry_points] is present in setup.cfg but it is empty
+DISTUTILS_USE_SETUPTOOLS=manual
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Additional functions used by other projects by developer jaraco"
+HOMEPAGE="https://github.com/jaraco/jaraco.functools";
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/namespace-jaraco-2[${PYTHON_USEDEP}]
+       dev-python/more-itertools[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/toml[${PYTHON_USEDEP}]
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+               dev-python/jaraco-classes[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx docs \
+       ">=dev-python/jaraco-packaging-3.2" \
+       ">=dev-python/rst-linker-1.9"
+
+python_test() {
+       # Override pytest options to skip flake8
+       PYTHONPATH=. pytest -vv --override-ini="addopts=--doctest-modules" \
+               || die "tests failed with ${EPYTHON}"
+}
+
+# 
https://wiki.gentoo.org/wiki/Project:Python/Namespace_packages#File_collisions_between_pkgutil-style_packages
+python_install() {
+       rm "${BUILD_DIR}"/lib/jaraco/__init__.py || die
+       # note: eclass may default to --skip-build in the future
+       distutils-r1_python_install --skip-build
+}

Reply via email to